// file: repro.js

import * as process from "node:process";
import { Worker, isMainThread } from 'node:worker_threads';

if (isMainThread) {
    console.log("[MAIN]", "PATH:", process.env.PATH);
    new Worker("./repro.js");
} else {
    console.log("[WORK]", "PATH:", process.env.PATH);
}